/*  CAO Compiler
    Copyright (C) 2014 Cryptography and Information Security Group, HASLab - INESC TEC and Universidade do Minho

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

#ifndef CAO_GLOBALS_H
#define CAO_GLOBALS_H

typedef int CAO_RES;
#define CAO_OK 0
#define CAO_ERR (-1)

typedef void* CAO_REF;

typedef int CAO_rint;
typedef int CAO_bool;
typedef CAO_REF CAO_int;
typedef CAO_REF CAO_ubits;
typedef CAO_REF CAO_sbits;
typedef CAO_REF CAO_mod;
typedef CAO_REF CAO_vector;
typedef CAO_REF CAO_matrix;
typedef CAO_REF CAO_struct;
typedef CAO_REF CAO_modpol;

#endif
